package domain

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaWdkOrderRefundGetOrderSyncRefundDto struct {
	/*
	   库存单位购买数量     */
	BuyAmountStock *string `json:"buy_amount_stock,omitempty" `

	/*
	   商品skucode     */
	ItemCode *string `json:"item_code,omitempty" `

	/*
	   商家编码     */
	MerchantCode *string `json:"merchant_code,omitempty" `

	/*
	   非标品购买数量     */
	NsQuantity *string `json:"ns_quantity,omitempty" `

	/*
	   操作人id     */
	OperatorId *string `json:"operator_id,omitempty" `

	/*
	   操作人名称     */
	OperatorName *string `json:"operator_name,omitempty" `

	/*
	   盒马子订单号     */
	OriginOrderId *int64 `json:"origin_order_id,omitempty" `

	/*
	   盒马主订单号     */
	OriginParentId *int64 `json:"origin_parent_id,omitempty" `

	/*
	   库存单位拣货数量     */
	PickAmountStock *string `json:"pick_amount_stock,omitempty" `

	/*
	   原购买数量     */
	Quantity *int64 `json:"quantity,omitempty" `

	/*
	   退款金额     */
	RefundAmount *int64 `json:"refund_amount,omitempty" `

	/*
	   退款渠道列表     */
	RefundChannelList *[]AlibabaWdkOrderRefundGetOrderSyncRefundChannel `json:"refund_channel_list,omitempty" `

	/*
	   退款单id     */
	RefundOrderId *int64 `json:"refund_order_id,omitempty" `

	/*
	   退货数量     */
	RefundQuantity *string `json:"refund_quantity,omitempty" `

	/*
	   退款时间     */
	RefundTime *util.LocalTime `json:"refund_time,omitempty" `

	/*
	   退款类型     */
	RefundType *int64 `json:"refund_type,omitempty" `

	/*
	   非标品单位     */
	SellUnit *string `json:"sell_unit,omitempty" `

	/*
	   店铺码     */
	StoreId *string `json:"store_id,omitempty" `

	/*
	   同步状态     */
	SyncStatus *string `json:"sync_status,omitempty" `

	/*
	   淘系子订单号     */
	TbBizOrderId *int64 `json:"tb_biz_order_id,omitempty" `

	/*
	   跑批时间     */
	BatchTime *util.LocalTime `json:"batch_time,omitempty" `

	/*
	   实际取货数量     */
	ActualPickQuantity *string `json:"actual_pick_quantity,omitempty" `

	/*
	   实际退货数量     */
	ActualRefundQuantity *string `json:"actual_refund_quantity,omitempty" `

	/*
	   履约状态     */
	PromiseStatus *string `json:"promise_status,omitempty" `

	/*
	   退款运费，单位为分     */
	RefundPostFee *int64 `json:"refund_post_fee,omitempty" `

	/*
	   stockUnit     */
	StockUnit *string `json:"stock_unit,omitempty" `

	/*
	   saleUnit     */
	SaleUnit *string `json:"sale_unit,omitempty" `

	/*
	   淘系主订单号     */
	TbBizParentId *int64 `json:"tb_biz_parent_id,omitempty" `

	/*
	   附加属性     */
	Attributes *string `json:"attributes,omitempty" `

	/*
	   交易属性     */
	TradeAttributes *string `json:"trade_attributes,omitempty" `

	/*
	   商品skucode     */
	SkuCode *string `json:"sku_code,omitempty" `

	/*
	   open_uid     */
	OpenUid *string `json:"open_uid,omitempty" `

	/*
	   2:app 3:pos     */
	OrderClient *int64 `json:"order_client,omitempty" `

	/*
	   渠道来源 3：饿了么 4：盒马     */
	OrderFrom *int64 `json:"order_from,omitempty" `

	/*
	   外部子订单号     */
	OutOrderId *string `json:"out_order_id,omitempty" `

	/*
	   外部主订单号     */
	OutMianOrderId *string `json:"out_mian_order_id,omitempty" `

	/*
	   渠道店id     */
	ShopId *string `json:"shop_id,omitempty" `

	/*
	   外部skuCode     */
	OutSkuCode *string `json:"out_sku_code,omitempty" `

	/*
	   纠纷类型 1：售中  2：售后     */
	DisputeType *int64 `json:"dispute_type,omitempty" `

	/*
	   外部退款id     */
	OutRefundId *string `json:"out_refund_id,omitempty" `

	/*
	   外部门店id     */
	OutShopId *string `json:"out_shop_id,omitempty" `

	/*
	   退款业务单号     */
	BizMainRefundId *string `json:"biz_main_refund_id,omitempty" `

	/*
	   外部退款单号     */
	OutMainRefundId *string `json:"out_main_refund_id,omitempty" `
}

func (s *AlibabaWdkOrderRefundGetOrderSyncRefundDto) SetBuyAmountStock(v string) *AlibabaWdkOrderRefundGetOrderSyncRefundDto {
	s.BuyAmountStock = &v
	return s
}
func (s *AlibabaWdkOrderRefundGetOrderSyncRefundDto) SetItemCode(v string) *AlibabaWdkOrderRefundGetOrderSyncRefundDto {
	s.ItemCode = &v
	return s
}
func (s *AlibabaWdkOrderRefundGetOrderSyncRefundDto) SetMerchantCode(v string) *AlibabaWdkOrderRefundGetOrderSyncRefundDto {
	s.MerchantCode = &v
	return s
}
func (s *AlibabaWdkOrderRefundGetOrderSyncRefundDto) SetNsQuantity(v string) *AlibabaWdkOrderRefundGetOrderSyncRefundDto {
	s.NsQuantity = &v
	return s
}
func (s *AlibabaWdkOrderRefundGetOrderSyncRefundDto) SetOperatorId(v string) *AlibabaWdkOrderRefundGetOrderSyncRefundDto {
	s.OperatorId = &v
	return s
}
func (s *AlibabaWdkOrderRefundGetOrderSyncRefundDto) SetOperatorName(v string) *AlibabaWdkOrderRefundGetOrderSyncRefundDto {
	s.OperatorName = &v
	return s
}
func (s *AlibabaWdkOrderRefundGetOrderSyncRefundDto) SetOriginOrderId(v int64) *AlibabaWdkOrderRefundGetOrderSyncRefundDto {
	s.OriginOrderId = &v
	return s
}
func (s *AlibabaWdkOrderRefundGetOrderSyncRefundDto) SetOriginParentId(v int64) *AlibabaWdkOrderRefundGetOrderSyncRefundDto {
	s.OriginParentId = &v
	return s
}
func (s *AlibabaWdkOrderRefundGetOrderSyncRefundDto) SetPickAmountStock(v string) *AlibabaWdkOrderRefundGetOrderSyncRefundDto {
	s.PickAmountStock = &v
	return s
}
func (s *AlibabaWdkOrderRefundGetOrderSyncRefundDto) SetQuantity(v int64) *AlibabaWdkOrderRefundGetOrderSyncRefundDto {
	s.Quantity = &v
	return s
}
func (s *AlibabaWdkOrderRefundGetOrderSyncRefundDto) SetRefundAmount(v int64) *AlibabaWdkOrderRefundGetOrderSyncRefundDto {
	s.RefundAmount = &v
	return s
}
func (s *AlibabaWdkOrderRefundGetOrderSyncRefundDto) SetRefundChannelList(v []AlibabaWdkOrderRefundGetOrderSyncRefundChannel) *AlibabaWdkOrderRefundGetOrderSyncRefundDto {
	s.RefundChannelList = &v
	return s
}
func (s *AlibabaWdkOrderRefundGetOrderSyncRefundDto) SetRefundOrderId(v int64) *AlibabaWdkOrderRefundGetOrderSyncRefundDto {
	s.RefundOrderId = &v
	return s
}
func (s *AlibabaWdkOrderRefundGetOrderSyncRefundDto) SetRefundQuantity(v string) *AlibabaWdkOrderRefundGetOrderSyncRefundDto {
	s.RefundQuantity = &v
	return s
}
func (s *AlibabaWdkOrderRefundGetOrderSyncRefundDto) SetRefundTime(v util.LocalTime) *AlibabaWdkOrderRefundGetOrderSyncRefundDto {
	s.RefundTime = &v
	return s
}
func (s *AlibabaWdkOrderRefundGetOrderSyncRefundDto) SetRefundType(v int64) *AlibabaWdkOrderRefundGetOrderSyncRefundDto {
	s.RefundType = &v
	return s
}
func (s *AlibabaWdkOrderRefundGetOrderSyncRefundDto) SetSellUnit(v string) *AlibabaWdkOrderRefundGetOrderSyncRefundDto {
	s.SellUnit = &v
	return s
}
func (s *AlibabaWdkOrderRefundGetOrderSyncRefundDto) SetStoreId(v string) *AlibabaWdkOrderRefundGetOrderSyncRefundDto {
	s.StoreId = &v
	return s
}
func (s *AlibabaWdkOrderRefundGetOrderSyncRefundDto) SetSyncStatus(v string) *AlibabaWdkOrderRefundGetOrderSyncRefundDto {
	s.SyncStatus = &v
	return s
}
func (s *AlibabaWdkOrderRefundGetOrderSyncRefundDto) SetTbBizOrderId(v int64) *AlibabaWdkOrderRefundGetOrderSyncRefundDto {
	s.TbBizOrderId = &v
	return s
}
func (s *AlibabaWdkOrderRefundGetOrderSyncRefundDto) SetBatchTime(v util.LocalTime) *AlibabaWdkOrderRefundGetOrderSyncRefundDto {
	s.BatchTime = &v
	return s
}
func (s *AlibabaWdkOrderRefundGetOrderSyncRefundDto) SetActualPickQuantity(v string) *AlibabaWdkOrderRefundGetOrderSyncRefundDto {
	s.ActualPickQuantity = &v
	return s
}
func (s *AlibabaWdkOrderRefundGetOrderSyncRefundDto) SetActualRefundQuantity(v string) *AlibabaWdkOrderRefundGetOrderSyncRefundDto {
	s.ActualRefundQuantity = &v
	return s
}
func (s *AlibabaWdkOrderRefundGetOrderSyncRefundDto) SetPromiseStatus(v string) *AlibabaWdkOrderRefundGetOrderSyncRefundDto {
	s.PromiseStatus = &v
	return s
}
func (s *AlibabaWdkOrderRefundGetOrderSyncRefundDto) SetRefundPostFee(v int64) *AlibabaWdkOrderRefundGetOrderSyncRefundDto {
	s.RefundPostFee = &v
	return s
}
func (s *AlibabaWdkOrderRefundGetOrderSyncRefundDto) SetStockUnit(v string) *AlibabaWdkOrderRefundGetOrderSyncRefundDto {
	s.StockUnit = &v
	return s
}
func (s *AlibabaWdkOrderRefundGetOrderSyncRefundDto) SetSaleUnit(v string) *AlibabaWdkOrderRefundGetOrderSyncRefundDto {
	s.SaleUnit = &v
	return s
}
func (s *AlibabaWdkOrderRefundGetOrderSyncRefundDto) SetTbBizParentId(v int64) *AlibabaWdkOrderRefundGetOrderSyncRefundDto {
	s.TbBizParentId = &v
	return s
}
func (s *AlibabaWdkOrderRefundGetOrderSyncRefundDto) SetAttributes(v string) *AlibabaWdkOrderRefundGetOrderSyncRefundDto {
	s.Attributes = &v
	return s
}
func (s *AlibabaWdkOrderRefundGetOrderSyncRefundDto) SetTradeAttributes(v string) *AlibabaWdkOrderRefundGetOrderSyncRefundDto {
	s.TradeAttributes = &v
	return s
}
func (s *AlibabaWdkOrderRefundGetOrderSyncRefundDto) SetSkuCode(v string) *AlibabaWdkOrderRefundGetOrderSyncRefundDto {
	s.SkuCode = &v
	return s
}
func (s *AlibabaWdkOrderRefundGetOrderSyncRefundDto) SetOpenUid(v string) *AlibabaWdkOrderRefundGetOrderSyncRefundDto {
	s.OpenUid = &v
	return s
}
func (s *AlibabaWdkOrderRefundGetOrderSyncRefundDto) SetOrderClient(v int64) *AlibabaWdkOrderRefundGetOrderSyncRefundDto {
	s.OrderClient = &v
	return s
}
func (s *AlibabaWdkOrderRefundGetOrderSyncRefundDto) SetOrderFrom(v int64) *AlibabaWdkOrderRefundGetOrderSyncRefundDto {
	s.OrderFrom = &v
	return s
}
func (s *AlibabaWdkOrderRefundGetOrderSyncRefundDto) SetOutOrderId(v string) *AlibabaWdkOrderRefundGetOrderSyncRefundDto {
	s.OutOrderId = &v
	return s
}
func (s *AlibabaWdkOrderRefundGetOrderSyncRefundDto) SetOutMianOrderId(v string) *AlibabaWdkOrderRefundGetOrderSyncRefundDto {
	s.OutMianOrderId = &v
	return s
}
func (s *AlibabaWdkOrderRefundGetOrderSyncRefundDto) SetShopId(v string) *AlibabaWdkOrderRefundGetOrderSyncRefundDto {
	s.ShopId = &v
	return s
}
func (s *AlibabaWdkOrderRefundGetOrderSyncRefundDto) SetOutSkuCode(v string) *AlibabaWdkOrderRefundGetOrderSyncRefundDto {
	s.OutSkuCode = &v
	return s
}
func (s *AlibabaWdkOrderRefundGetOrderSyncRefundDto) SetDisputeType(v int64) *AlibabaWdkOrderRefundGetOrderSyncRefundDto {
	s.DisputeType = &v
	return s
}
func (s *AlibabaWdkOrderRefundGetOrderSyncRefundDto) SetOutRefundId(v string) *AlibabaWdkOrderRefundGetOrderSyncRefundDto {
	s.OutRefundId = &v
	return s
}
func (s *AlibabaWdkOrderRefundGetOrderSyncRefundDto) SetOutShopId(v string) *AlibabaWdkOrderRefundGetOrderSyncRefundDto {
	s.OutShopId = &v
	return s
}
func (s *AlibabaWdkOrderRefundGetOrderSyncRefundDto) SetBizMainRefundId(v string) *AlibabaWdkOrderRefundGetOrderSyncRefundDto {
	s.BizMainRefundId = &v
	return s
}
func (s *AlibabaWdkOrderRefundGetOrderSyncRefundDto) SetOutMainRefundId(v string) *AlibabaWdkOrderRefundGetOrderSyncRefundDto {
	s.OutMainRefundId = &v
	return s
}
